Skip to content

LLM response time breakdown

GET
/api/v1/monitoring/llm-performance
curl --request GET \
--url 'https://api.ultimateteam.ai/api/v1/monitoring/llm-performance?time_range=1h' \
--header 'X-API-Key: <X-API-Key>'

Returns response time percentiles by model and agent role.

time_range
Time Range

Time window for metrics aggregation

string
default: 1h /^(1h|6h|24h|7d)$/

Time window for metrics aggregation

model
Any of:
string

Filter to a specific LLM model

agent_role
Any of:
string

Filter to a specific agent role

Successful Response

Media typeapplication/json
LLMPerformanceResponse

LLM performance dashboard data.

object
models
required
Models
Array<object>
LLMPerformanceBucket

LLM response time statistics for a model + agent combination.

object
agent_role
required
Agent Role
string
avg
required
Avg
number
model
required
Model
string
p50
required
P50
number
p95
required
P95
number
p99
required
P99
number
sample_count
required
Sample Count
integer
total_tokens
required
Total Tokens
integer
time_range
required
Time Range
string
total_calls
required
Total Calls
integer
Examplegenerated
{
"models": [
{
"agent_role": "example",
"avg": 1,
"model": "example",
"p50": 1,
"p95": 1,
"p99": 1,
"sample_count": 1,
"total_tokens": 1
}
],
"time_range": "example",
"total_calls": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}